Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Jan 2020 12:55:17 +0100

Stefan Kangas <[email-masked]> writes:

> Are you saying that the reason for the crash was a missing directory?
> If so, could you please explain how you have arrived at this
> conclusion?

I took another look at the back trace, and what Eli writes:

> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
> was called from some timer function, but the function itself is not
> shown, AFAICT.  It probably isn't related to snake at all.

I think one way of making progress here is trying to figure out which
timer function was being run at the time.  Do you have any idea what
that could have been?  Do you have any timer functions of your own
running?  Were you doing something else in this Emacs session which it
could have been related to?

Best regards,
Stefan Kangas